function [delta,dev,cor,C] = ewmacorr(DX,DR,legame,lambda)

%EWMACORR	Funzione di calcolo correlazioni.
%
%	[delta,dev,cor,C] = ewmacorr(DX,DR,legame,lambda) calcola la deviazione 
%	standard dei fattori di rischio e la matrice di correlazione degli stessi 
%	con ponderazione esponenziale dei dati usando il valore lambda. Calcola
%	i coefficienti delta senza ponderazione.
%	Necessita della matrice DX dei rendimenti delle attivita', della matrice DR 
%	dei rendimenti dei fattori di rischio e del vettore dei legami tra le 
%	attivita' e i fattori di rischio senza tenere conto del cambio. Il vettore 
%	dei legami, dati 2 fattori di rischio e 4 attivita', deve essere impostato, 
%	per esempio, come (1 1 1 2).
%
%	Tutti i dati devono essere in formato colonna.
%
%	Vedi RENDIMENTI
%
%	Copyright (c) 2000 by Flavio Bazzana
%   Department  of Management and Computer Sciences
%   University of Trento
%   Via Inama, 5
%   I-38100 Italy
%   bazzana@cs.unitn.it


