function [mvar] = montevar(delta,C,legame,valuta,cambi,fattori,prezzi,vm,t,p,modello,l,rendimento)

%MONTEVAR	Monte Carlo VaR di un portafoglio.
%
%	[mvar] = montevar(delta,C,legame,valuta,cambi,fattori,prezzi,vm,t,p,modello,l,rendimento) 
%	calcola il VaR totale di un portafoglio con il metodo Monte Carlo, dato il 
%	vettore dei valori di mercato vm del portafoglio, il tempo t di detenzione 
%	e la probabilita' p di perdita. Delta e' il vettore delle sensibilita', C la 
%	matrice di varianza-covarianza dei rendimenti dei fattori di rischio. Cambi
%	e' il vettore dei cambi correnti, fattori dei fattori e prezzi delle attivita'.
%	Il vettore legame esprime la relazione tra attivita' e fattori di rischio. 
%	Dati 2 fattori di rischio e 4 attivita', e' impostato, per esempio, con (1 1 1 2). 
%	Il vettore valuta lega le attivita' nella stessa valuta e si imposta come il
%	vettore legame con la convenzione che 0 e' per la valuta di riferimento.
%	Modello determina il tipo di simulazione del prezzo (0 -> modello lineare,
%	1 -> modello log-normale) e l e' il numero di scenari simulati (l <= 8000).
%	Rendimento = 0 se i rendimenti sono stati calcolati con il metodo aritmetico,
%	1 se con il metodo logaritmico
%
%	Tutti i dati devono essere in formato colonna.
%
%	Vedi DELTAVAR, SIMULVAR
%
%	Copyright (c) 2000 by Flavio Bazzana
%   Department  of Management and Computer Sciences
%   University of Trento
%   Via Inama, 5
%   I-38100 Italy
%   bazzana@cs.unitn.it

